Debian Bug report logs - #595144
dpkg-gensymbols: ignores multiarch libraries when cross-compiling

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Simon Richter <sjr@debian.org>

Date: Wed, 1 Sep 2010 11:06:01 UTC

Severity: normal

Tags: patch

Found in version dpkg/1.16.2~really1.16.1.2

Fixed in version dpkg/1.16.2~wipmultiarch

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sjr@debian.org, Joey Hess <joeyh@debian.org>:
Bug#595144; Package debhelper. (Wed, 01 Sep 2010 11:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
New Bug report received and forwarded. Copy sent to sjr@debian.org, Joey Hess <joeyh@debian.org>. (Wed, 01 Sep 2010 11:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debhelper: dh_makeshlibs ignores multiarch libraries when cross-compiling
Date: Wed, 01 Sep 2010 13:03:08 +0200
Package: debhelper
Version: 8.0.0
Severity: normal

Hi,

I just converted a package to multiarch, and dh_makeshlibs complains
about the library being gone. The library has moved to the multiarch
subdir appropriate for $(DEB_HOST_ARCH), and can be found there.

   Simon

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages debhelper depends on:
ii  binutils                      2.20.1-13  The GNU assembler, linker and bina
ii  dpkg-dev                      1.15.8.4   Debian package development tools
ii  file                          5.04-5     Determines file type using "magic"
ii  html2text                     1.3.2a-15  advanced HTML to text converter
ii  man-db                        2.5.7-4    on-line manual pager
ii  perl                          5.10.1-14  Larry Wall's Practical Extraction 
ii  perl-base                     5.10.1-14  minimal Perl system
ii  po-debconf                    1.0.16     tool for managing templates file t

debhelper recommends no packages.

Versions of packages debhelper suggests:
ii  dh-make                       0.55       tool that converts source archives

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#595144; Package debhelper. (Wed, 01 Sep 2010 11:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <Simon.Richter@hogyros.de>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Wed, 01 Sep 2010 11:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 595144@bugs.debian.org (full text, mbox):

From: Simon Richter <Simon.Richter@hogyros.de>
To: Debian Bug Tracking System <control@bugs.debian.org>
Cc: 595144@bugs.debian.org
Subject: Re: Bug#595144: debhelper: dh_makeshlibs ignores multiarch libraries when cross-compiling
Date: Wed, 1 Sep 2010 13:11:06 +0200
reassign 595144 dpkg
found 595144 1.15.8.4
thanks

On Wed, Sep 01, 2010 at 01:03:08PM +0200, Simon Richter wrote:

> I just converted a package to multiarch, and dh_makeshlibs complains
> about the library being gone. The library has moved to the multiarch
> subdir appropriate for $(DEB_HOST_ARCH), and can be found there.

My bad, it's actually dpkg-gensymbols.

   Simon




Bug reassigned from package 'debhelper' to 'dpkg'. Request was from Simon Richter <Simon.Richter@hogyros.de> to control@bugs.debian.org. (Wed, 01 Sep 2010 11:15:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions debhelper/8.0.0. Request was from Simon Richter <Simon.Richter@hogyros.de> to control@bugs.debian.org. (Wed, 01 Sep 2010 11:15:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions dpkg/1.15.8.4. Request was from Simon Richter <Simon.Richter@hogyros.de> to control@bugs.debian.org. (Wed, 01 Sep 2010 11:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#595144; Package dpkg. (Wed, 01 Sep 2010 12:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Wed, 01 Sep 2010 12:27:06 GMT) Full text and rfc822 format available.

Message #21 received at 595144@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Simon Richter <sjr@debian.org>, 595144@bugs.debian.org
Subject: Re: Bug#595144: debhelper: dh_makeshlibs ignores multiarch libraries when cross-compiling
Date: Wed, 1 Sep 2010 14:22:19 +0200
Hi,

On Wed, 01 Sep 2010, Simon Richter wrote:
> Hi,
> 
> I just converted a package to multiarch, and dh_makeshlibs complains
> about the library being gone. The library has moved to the multiarch
> subdir appropriate for $(DEB_HOST_ARCH), and can be found there.

dpkg-gensymbols relies on /etc/ld.so.conf and /etc/ld.so.conf.d/ to know
supplementary directories to look up. multi-arch directories are listed
there but only for the build architecture. The directory for the
target architecture can't be found in this way but we already have a
special case for cross-compiling in the code... but it adds
/triplet/lib and /usr/triplet/lib, and not /lib/triplet/ + /usr/lib/triplet/
I guess we need to extend that. (See Dpkg::Shlibs, maybe you can try it
for yourself to see if it's enough)

What's the precise dpkg-gensymbols invocation that fails? (Set DH_VERBOSE
to 1)

What debhelper compatibility level are you using?

dh_makeshlibs gives an explicit list of files to scan in v8 and that could
make it work despite the lack of knowledge of those directories.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer ◈ [Flattr=20693]

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Bug reassigned from package 'dpkg' to 'dpkg-dev'. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 04:24:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions dpkg/1.15.8.4. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 04:24:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'dpkg-gensymbols: ignores multiarch libraries when cross-compiling' from 'debhelper: dh_makeshlibs ignores multiarch libraries when cross-compiling' Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 04:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#595144; Package dpkg-dev. (Fri, 07 Oct 2011 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Moffett, Kyle D" <Kyle.D.Moffett@boeing.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 07 Oct 2011 21:48:03 GMT) Full text and rfc822 format available.

Message #32 received at 595144@bugs.debian.org (full text, mbox):

From: "Moffett, Kyle D" <Kyle.D.Moffett@boeing.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Simon Richter <sjr@debian.org>, "595144@bugs.debian.org" <595144@bugs.debian.org>, Steve Langasek <steve.langasek@linaro.org>
Subject: Re: Bug#595144: debhelper: dh_makeshlibs ignores multiarch libraries when cross-compiling
Date: Fri, 7 Oct 2011 16:01:06 -0500
On Sep 01, 2010, at 08:22, Raphael Hertzog wrote:
> On Wed, 01 Sep 2010, Simon Richter wrote:
>> I just converted a package to multiarch, and dh_makeshlibs complains
>> about the library being gone. The library has moved to the multiarch
>> subdir appropriate for $(DEB_HOST_ARCH), and can be found there.
> 
> dpkg-gensymbols relies on /etc/ld.so.conf and /etc/ld.so.conf.d/ to know
> supplementary directories to look up. multi-arch directories are listed
> there but only for the build architecture. The directory for the
> target architecture can't be found in this way but we already have a
> special case for cross-compiling in the code... but it adds
> /triplet/lib and /usr/triplet/lib, and not /lib/triplet/ + /usr/lib/triplet/
> I guess we need to extend that. (See Dpkg::Shlibs, maybe you can try it
> for yourself to see if it's enough)

I'm having almost the same issue with an eglibc cross-bootstrap.  Is
there any chance that this patch could get applied soon?
  http://patches.linaro.org/698/

More details here:
  http://comments.gmane.org/gmane.linux.debian.devel.dpkg.general/12920

Cheers,
Kyle Moffett



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#595144; Package dpkg-dev. (Fri, 07 Oct 2011 22:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Moffett, Kyle D" <Kyle.D.Moffett@boeing.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 07 Oct 2011 22:21:08 GMT) Full text and rfc822 format available.

Message #37 received at 595144@bugs.debian.org (full text, mbox):

From: "Moffett, Kyle D" <Kyle.D.Moffett@boeing.com>
To: "Moffett, Kyle D" <Kyle.D.Moffett@boeing.com>
Cc: Raphael Hertzog <hertzog@debian.org>, Simon Richter <sjr@debian.org>, "595144@bugs.debian.org" <595144@bugs.debian.org>, Steve Langasek <steve.langasek@ubuntu.com>
Subject: Re: Bug#595144: debhelper: dh_makeshlibs ignores multiarch libraries when cross-compiling
Date: Fri, 7 Oct 2011 16:48:58 -0500
[Message part 1 (text/plain, inline)]
Re-sent with the correct email address for Steve (I hope), and an attached
copy of the referenced patch.

On Oct 07, 2011, at 17:01, Kyle Moffett wrote:
> On Sep 01, 2010, at 08:22, Raphael Hertzog wrote:
>> On Wed, 01 Sep 2010, Simon Richter wrote:
>>> I just converted a package to multiarch, and dh_makeshlibs complains
>>> about the library being gone. The library has moved to the multiarch
>>> subdir appropriate for $(DEB_HOST_ARCH), and can be found there.
>> 
>> dpkg-gensymbols relies on /etc/ld.so.conf and /etc/ld.so.conf.d/ to know
>> supplementary directories to look up. multi-arch directories are listed
>> there but only for the build architecture. The directory for the
>> target architecture can't be found in this way but we already have a
>> special case for cross-compiling in the code... but it adds
>> /triplet/lib and /usr/triplet/lib, and not /lib/triplet/ + /usr/lib/triplet/
>> I guess we need to extend that. (See Dpkg::Shlibs, maybe you can try it
>> for yourself to see if it's enough)
> 
> I'm having almost the same issue with an eglibc cross-bootstrap.  Is
> there any chance that this patch could get applied soon?
>  http://patches.linaro.org/698/
> 
> More details here:
>  http://comments.gmane.org/gmane.linux.debian.devel.dpkg.general/12920
> 
> Cheers,
> Kyle Moffett
[Dpkg-Shlibs.pm-multiarch-search-paths.patch (application/octet-stream, attachment)]

Added tag(s) patch. Request was from "Moffett, Kyle D" <Kyle.D.Moffett@boeing.com> to control@bugs.debian.org. (Sat, 08 Oct 2011 18:39:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 12 Oct 2011 08:39:05 GMT) Full text and rfc822 format available.

Message sent on to Simon Richter <sjr@debian.org>:
Bug#595144. (Wed, 12 Oct 2011 08:39:10 GMT) Full text and rfc822 format available.

Message #44 received at 595144-submitter@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 595144-submitter@bugs.debian.org
Subject: Bug#595144 marked as pending
Date: Wed, 12 Oct 2011 08:35:25 +0000
tag 595144 pending
thanks

Hello,

Bug #595144 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=9c523dd

---
commit 9c523dd9ec83b600b96ed1ab4f346b56929d2cfa
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Oct 12 10:20:00 2011 +0200

    Dpkg::Shlibs: look into multi-arch paths when cross-building
    
    The need for this was discovered when trying to bootstrap a
    cross-toolchain against a multiarchified eglibc-source.
    
    We should explicitly add the appropriate multiarch paths to our
    library search path. These would be picked up later on anyway in the case
    of a native build, but for, e.g., bootstrapping a cross-toolchain the
    needed multiarch paths aren't going to be found in ld.so.conf.
    
    Reported-by: Steve Langasek <steve.langasek@linaro.org>

diff --git a/debian/changelog b/debian/changelog
index ae70c27..5f7a92c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -23,6 +23,10 @@ dpkg (1.16.2) UNRELEASED; urgency=low
     debian/control does not have any package stanza. Closes: #642473
     Based on a patch by Kyle Willmon <kylewillmon@gmail.com>.
 
+  [ Raphaël Hertzog ]
+  * Update Dpkg::Shlibs to look into multiarch paths when cross-building
+    too. Closes: #595144
+
   [ Updated dpkg translations ]
   * Italian (Milo Casagrande). Closes: #627832
 




Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Tue, 31 Jan 2012 20:51:19 GMT) Full text and rfc822 format available.

Notification sent to Simon Richter <sjr@debian.org>:
Bug acknowledged by developer. (Tue, 31 Jan 2012 20:51:19 GMT) Full text and rfc822 format available.

Message #49 received at 595144-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 595144-close@bugs.debian.org
Subject: Bug#595144: fixed in dpkg 1.16.2~multiarch
Date: Tue, 31 Jan 2012 20:48:55 +0000
Source: dpkg
Source-Version: 1.16.2~multiarch

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.16.2~multiarch_all.deb
  to main/d/dpkg/dpkg-dev_1.16.2~multiarch_all.deb
dpkg_1.16.2~multiarch.dsc
  to main/d/dpkg/dpkg_1.16.2~multiarch.dsc
dpkg_1.16.2~multiarch.tar.bz2
  to main/d/dpkg/dpkg_1.16.2~multiarch.tar.bz2
dpkg_1.16.2~multiarch_amd64.deb
  to main/d/dpkg/dpkg_1.16.2~multiarch_amd64.deb
dselect_1.16.2~multiarch_amd64.deb
  to main/d/dpkg/dselect_1.16.2~multiarch_amd64.deb
libdpkg-dev_1.16.2~multiarch_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.16.2~multiarch_amd64.deb
libdpkg-perl_1.16.2~multiarch_all.deb
  to main/d/dpkg/libdpkg-perl_1.16.2~multiarch_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595144@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 Jan 2012 16:07:32 +0100
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.2~multiarch
Distribution: experimental
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 192619 367608 427945 595144 608884 627832 636238 642473 642608 642802 643746 643969 644370 646496 647915 648180 648217 649248 651481 651813 651993 652414 653575 654453 654626 655411 656496
Changes: 
 dpkg (1.16.2~multiarch) experimental; urgency=low
 .
   [ Cyril Brulebois ]
   * Non-maintainer upload. Let's push multiarch to the masses.
 .
   [ Guillem Jover ]
   * Move <config.h> and <compat.h> to the top of trigdeferred.l to properly
     use the configured features and compat code.
   * Honour --disable-nls when the system lacks obstack support, by updating
     the obstack compat module from gnulib.
   * Link the libdpkg unit tests with libcompat and libintl, so that systems
     needing them will compile correctly.
   * Check for the presence of the strnlen declaration and correctly provide
     the compat one in case the systems lacks it.
   * Do not assume existence of paths on the build system in the test suite.
   * Do not fail to link dselect on MacOS X when using --disable-nls.
   * Remove versioned coreutils Pre-Depends from dpkg due to the ancient
     md5sum transition. Reported by Bill Allombert <ballombe@debian.org>.
     Closes: #643746
   * Change dpkg-architecture to only compute the requested variables. This:
     - Fixes the bootstrapping problem, as the dpkg build system only needs
       the host architecture, for which dpkg itself is not required.
     - Reduces the amount of work performed, including loading and parsing
       unnecessary table files or calling either of gcc or dpkg programs.
   * Improve error message in dpkg-gencontrol and dpkg-gensymbols when
     debian/control does not have any package stanza. Closes: #642473
     Based on a patch by Kyle Willmon <kylewillmon@gmail.com>.
   * Add Pre-Depends on tar >= 1.23 (satisfied in stable) to dpkg due to it
     using the ‘--warning=no-timestamp’ option. Closes: #642802
   * Do not segfault on GNU/Linux when dpkg cannot retrieve the block size
     for the filesystem containing the info database. LP: #872734
   * Fix two memory leaks per tar entry in the tar extractor used on unpack.
   * Mark dpkg and dselect as Multi-Arch foreign.
     Reported by Steve Langasek <vorlon@debian.org>.
   * Mark dpkg-dev and libdpkg-perl as Multi-Arch foreign. Closes: #648217
     Thanks to Colin Watson <cjwatson@ubuntu.com>.
   * Add new deb-origin.5 man page. Closes: #608884
     Thanks to Matt Kraai <kraai@ftbfs.org>.
   * Return correct status on start-stop-daemon --status when using --pidfile.
   * Treat dpkg-deb compression level independently for each backend. This
     has the effect of changing the current behaviour for level 0 on all
     compressors except gzip.
   * Add new dpkg-deb -S option to specify the compression strategy. The only
     currently supported value is “extreme” for xz. Closes: #647915
   * Stop using brace expansion to install man pages by using dh_installman
     instead of dh_install, the former does not abort on empty glob expansion.
   * Do not use absolute paths for programs in perl and shell code.
   * Add missing ‘*’ in asprintf() and vasprintf() compat declarations.
   * Add support for virtual output binary:Summary and db:Status-Abbrev fields.
     Closes: #192619, #427945
   * Add support for virtual output source:Package and source:Version fields.
     Closes: #653575
   * Use a different temporary file per process on libcompat's vsnprintf()
     function to avoid race conditions from children after fork(3).
     Reported by Daniel Ruoso <daniel@ruoso.com>. Closes: #655411
   * Fix start-stop-daemon --exec and --name options on FreeBSD, NetBSD and
     OpenBSD by swapping the process matching implementations.
   * Fix start-stop-daemon --name option on GNU/Hurd to match the process name.
   * Document in more detail the implications of start-stop-daemon matching
     options. Closes: #367608
   * Improve and clarify dpkg-shlibdeps superfluous linking warning messages.
     Based on a patch by Peter Eisentraut <petere@debian.org>. Closes: #656496
 .
   [ Raphaël Hertzog ]
   * Update Dpkg::Shlibs to look into multiarch paths when cross-building
     too. Closes: #595144
   * Rewrite architecture.mk with explicit loops instead of duplicating many
     similar lines. Based on a patch by Thorsten Glaser <tg@mirbsd.de>.
   * Modify dpkg-gencontrol and dpkg-distaddfile to grab a write lock
     on debian/control before updating debian/files to avoid simultaneous
     updates. Closes: #642608
     Add libfile-fcntllock-perl to dpkg-dev's Depends since we use this module
     to handle the locking.
   * Update dpkg-gensymbols(1) to clarify that -e accepts shell patterns
     expansions and not regular expressions. And let dpkg-gensymbols output a
     warning when a pattern doesn't match any file. Closes: #649248
   * Add new option "-a <arch>" to dpkg-checkbuilddeps to check build
     dependencies for another architecture. This is really basic for now since
     it assumes all build dependencies must be satisfied on the listed
     architecture. Closes: #648180 Thanks to Colin Watson for the patch.
   * Error out if a dpkg database .list file is not a regular file. LP: #369898
   * Fix dpkg-mergechangelogs to not error out on invalid versions.
     Closes: #651993
   * Fix dpkg-source --commit on "3.0 (quilt)" when an explicit patch file
     is given with a relative filename. Closes: #652414
   * Further clarify in dpkg-source(1) the conditions under which it's possible
     to pass an explicit patch file to dpkg-source --commit.
   * Add new --query-features command to dpkg-buildflags. Thanks to Kees Cook
     for the patch. Closes: #651481
   * Fix description of Multi-Arch in deb-control(5). Closes: #654453
     Thanks to Jakub Wilk for spotting the mistake.
   * Drop misleading spaces in deb-symbols(5) in the format description.
   * Clean up dpkg-architecture(1) dropping useless information and
     adding a reference to /usr/share/dpkg/architecture.mk.
 .
   [ Jonathan Nieder ]
   * Bump po4a version in Build-Depends to 0.41, since earlier versions do
     not handle --srcdir correctly. Closes: #644370
 .
   [ Helge Kreutzmann ]
   * Fix a typo in man/dpkg-deb.1.
 .
   [ Updated dpkg translations ]
   * German (Sven Joachim).
   * Italian (Milo Casagrande). Closes: #627832
   * Swedish (Peter Krefting).
   * French (Christian Perrier)
 .
   [ Updated scripts translations ]
   * German (Helge Kreutzmann).
   * Spanish (Omar Campagne). Closes: #636238
   * Swedish (Peter Krefting).
 .
   [ Updated man page translations ]
   * German (Helge Kreutzmann), including typo fix in dpkg-genchanges
     Closes: #646496, sub optimal translation of package states LP: #368783
     and an fix by Chris Leick
   * Japanese (TAKAHASHI Motonobu).
   * Spanish (Omar Campagne). Closes: #643969
   * Swedish (Peter Krefting).
   * Minor errors corrected in French (thanks to David Prévot)
   * Fix translation of -B and -A options of dpkg-buildpackage.
     Thanks to Vincent Danjean. Closes: #654626
 .
   [ Updated dselect translations ]
   * Dutch (Jeroen Schot). Closes: #651813
Checksums-Sha1: 
 19d03327305ffe77a9a27cf2a97a1374a53d80c2 1402 dpkg_1.16.2~multiarch.dsc
 6791139ea5264dcf3b3f50145122c070217c77ee 5588042 dpkg_1.16.2~multiarch.tar.bz2
 5ace0fd530081b49d640062f831c24f953ae25a9 605912 libdpkg-dev_1.16.2~multiarch_amd64.deb
 fc6757f3914b99c84e46a4f10d568e10dff32363 2088674 dpkg_1.16.2~multiarch_amd64.deb
 c4092ecb5792ec2b95b378f35c699d16d46c104a 999194 dselect_1.16.2~multiarch_amd64.deb
 65f4ae079843f683a0fdc651c7d414d19fda6d3a 632066 dpkg-dev_1.16.2~multiarch_all.deb
 34e1227bfbff9e3f8d137775fa882e02f887ac9a 851502 libdpkg-perl_1.16.2~multiarch_all.deb
Checksums-Sha256: 
 91f596241ecebfac200bed00292ee9e2805fa00c97fa8991ebdf61775c6ac8ab 1402 dpkg_1.16.2~multiarch.dsc
 73ef3f3d188570ec0c954155fdc9da84c3623903d1d4ff21199285294d53747c 5588042 dpkg_1.16.2~multiarch.tar.bz2
 7166741d526899e12ca1a8a4dfc2ebaa48a639a7488a3a6c595d3ce8ccf488c2 605912 libdpkg-dev_1.16.2~multiarch_amd64.deb
 2f1722960e3d125d346af8f8ac257dd410924dab9b3cbbe99f31bd6f4ea4250a 2088674 dpkg_1.16.2~multiarch_amd64.deb
 9b036c4345d4410e5f0c32a43b35da397a43741a5270eb27244ef675fae04c10 999194 dselect_1.16.2~multiarch_amd64.deb
 1766ecaccc0c35fea78270157bc4e05424f7a38818f427fe4264273c9e656205 632066 dpkg-dev_1.16.2~multiarch_all.deb
 0094a37fb449957d457ab17f79a2d63ec28771c843109f4c10fcd118e159e55f 851502 libdpkg-perl_1.16.2~multiarch_all.deb
Files: 
 46f0ccf05408e6482a1df89d26c9d64e 1402 admin required dpkg_1.16.2~multiarch.dsc
 1fa36a11e3668cb7d0859a11c5f74f9b 5588042 admin required dpkg_1.16.2~multiarch.tar.bz2
 8a9998e958c240804c28cd6d15170aeb 605912 libdevel optional libdpkg-dev_1.16.2~multiarch_amd64.deb
 eb093790f536a3d6d7b20b0a95ed44f5 2088674 admin required dpkg_1.16.2~multiarch_amd64.deb
 daeaadba99f639c7f89c7a2b6ddf5d20 999194 admin optional dselect_1.16.2~multiarch_amd64.deb
 5017d8e3593dfbb23de750beddec15fa 632066 utils optional dpkg-dev_1.16.2~multiarch_all.deb
 dc7213111ff8469c6187179ac166a746 851502 perl optional libdpkg-perl_1.16.2~multiarch_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8oSqMACgkQeGfVPHR5Nd1yTwCbBxbNYFb+mRuMOeyC3SRf7EdQ
zdkAmwVycK9u5n4lMiuuNkVfg9OgJiC9
=+ZZ4
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions dpkg/1.16.2~multiarch and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Feb 2012 00:42:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions dpkg/1.16.2~really1.16.1.2. Request was from Clint Adams <clint@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 02:09:04 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 00:06:29 GMT) Full text and rfc822 format available.

Notification sent to Simon Richter <sjr@debian.org>:
Bug acknowledged by developer. (Mon, 06 Feb 2012 00:06:30 GMT) Full text and rfc822 format available.

Message #58 received at 595144-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 595144-close@bugs.debian.org
Subject: Bug#595144: fixed in dpkg 1.16.2~wipmultiarch
Date: Mon, 06 Feb 2012 00:02:22 +0000
Source: dpkg
Source-Version: 1.16.2~wipmultiarch

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.16.2~wipmultiarch_all.deb
  to main/d/dpkg/dpkg-dev_1.16.2~wipmultiarch_all.deb
dpkg_1.16.2~wipmultiarch.dsc
  to main/d/dpkg/dpkg_1.16.2~wipmultiarch.dsc
dpkg_1.16.2~wipmultiarch.tar.bz2
  to main/d/dpkg/dpkg_1.16.2~wipmultiarch.tar.bz2
dpkg_1.16.2~wipmultiarch_amd64.deb
  to main/d/dpkg/dpkg_1.16.2~wipmultiarch_amd64.deb
dselect_1.16.2~wipmultiarch_amd64.deb
  to main/d/dpkg/dselect_1.16.2~wipmultiarch_amd64.deb
libdpkg-dev_1.16.2~wipmultiarch_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.16.2~wipmultiarch_amd64.deb
libdpkg-perl_1.16.2~wipmultiarch_all.deb
  to main/d/dpkg/libdpkg-perl_1.16.2~wipmultiarch_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595144@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 05 Feb 2012 23:39:40 +0100
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.2~wipmultiarch
Distribution: experimental
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 192619 229357 367608 427945 595144 608884 627832 636238 642473 642608 642802 643746 643969 644370 646496 647915 648180 648217 649248 651481 651813 651993 652414 653575 654453 654626 655411 656496 657849
Changes: 
 dpkg (1.16.2~wipmultiarch) experimental; urgency=low
 .
   This is a WIP release, command line interfaces *will* change.
 .
   [ Guillem Jover ]
   * Move <config.h> and <compat.h> to the top of trigdeferred.l to properly
     use the configured features and compat code.
   * Honour --disable-nls when the system lacks obstack support, by updating
     the obstack compat module from gnulib.
   * Link the libdpkg unit tests with libcompat and libintl, so that systems
     needing them will compile correctly.
   * Check for the presence of the strnlen declaration and correctly provide
     the compat one in case the systems lacks it.
   * Do not assume existence of paths on the build system in the test suite.
   * Do not fail to link dselect on MacOS X when using --disable-nls.
   * Remove versioned coreutils Pre-Depends from dpkg due to the ancient
     md5sum transition. Reported by Bill Allombert <ballombe@debian.org>.
     Closes: #643746
   * Change dpkg-architecture to only compute the requested variables. This:
     - Fixes the bootstrapping problem, as the dpkg build system only needs
       the host architecture, for which dpkg itself is not required.
     - Reduces the amount of work performed, including loading and parsing
       unnecessary table files or calling either of gcc or dpkg programs.
   * Improve error message in dpkg-gencontrol and dpkg-gensymbols when
     debian/control does not have any package stanza. Closes: #642473
     Based on a patch by Kyle Willmon <kylewillmon@gmail.com>.
   * Add Pre-Depends on tar >= 1.23 (satisfied in stable) to dpkg due to it
     using the ‘--warning=no-timestamp’ option. Closes: #642802
   * Do not segfault on GNU/Linux when dpkg cannot retrieve the block size
     for the filesystem containing the info database. LP: #872734
   * Fix two memory leaks per tar entry in the tar extractor used on unpack.
   * Mark dpkg and dselect as Multi-Arch foreign.
     Reported by Steve Langasek <vorlon@debian.org>.
   * Mark dpkg-dev and libdpkg-perl as Multi-Arch foreign. Closes: #648217
     Thanks to Colin Watson <cjwatson@ubuntu.com>.
   * Add new deb-origin.5 man page. Closes: #608884
     Thanks to Matt Kraai <kraai@ftbfs.org>.
   * Return correct status on start-stop-daemon --status when using --pidfile.
   * Treat dpkg-deb compression level independently for each backend. This
     has the effect of changing the current behaviour for level 0 on all
     compressors except gzip.
   * Add new dpkg-deb -S option to specify the compression strategy. The only
     currently supported value is “extreme” for xz. Closes: #647915
   * Stop using brace expansion to install man pages by using dh_installman
     instead of dh_install, the former does not abort on empty glob expansion.
   * Do not use absolute paths for programs in perl and shell code.
   * Add missing ‘*’ in asprintf() and vasprintf() compat declarations.
   * Add support for virtual output binary:Summary and db:Status-Abbrev fields.
     Closes: #192619, #427945
   * Add support for virtual output source:Package and source:Version fields.
     Closes: #653575
   * Use a different temporary file per process on libcompat's vsnprintf()
     function to avoid race conditions from children after fork(3).
     Reported by Daniel Ruoso <daniel@ruoso.com>. Closes: #655411
   * Fix start-stop-daemon --exec and --name options on FreeBSD, NetBSD and
     OpenBSD by swapping the process matching implementations.
   * Fix start-stop-daemon --name option on GNU/Hurd to match the process name.
   * Document in more detail the implications of start-stop-daemon matching
     options. Closes: #367608
   * Improve and clarify dpkg-shlibdeps superfluous linking warning messages.
     Based on a patch by Peter Eisentraut <petere@debian.org>. Closes: #656496
 .
   [ Raphaël Hertzog ]
   * Update Dpkg::Shlibs to look into multiarch paths when cross-building
     too. Closes: #595144
   * Rewrite architecture.mk with explicit loops instead of duplicating many
     similar lines. Based on a patch by Thorsten Glaser <tg@mirbsd.de>.
   * Modify dpkg-gencontrol and dpkg-distaddfile to grab a write lock
     on debian/control before updating debian/files to avoid simultaneous
     updates. Closes: #642608
     Add libfile-fcntllock-perl to dpkg-dev's Depends since we use this module
     to handle the locking.
   * Update dpkg-gensymbols(1) to clarify that -e accepts shell patterns
     expansions and not regular expressions. And let dpkg-gensymbols output a
     warning when a pattern doesn't match any file. Closes: #649248
   * Add new option "-a <arch>" to dpkg-checkbuilddeps to check build
     dependencies for another architecture. This is really basic for now since
     it assumes all build dependencies must be satisfied on the listed
     architecture. Closes: #648180 Thanks to Colin Watson for the patch.
   * Error out if a dpkg database .list file is not a regular file. LP: #369898
   * Fix dpkg-mergechangelogs to not error out on invalid versions.
     Closes: #651993
   * Fix dpkg-source --commit on "3.0 (quilt)" when an explicit patch file
     is given with a relative filename. Closes: #652414
   * Further clarify in dpkg-source(1) the conditions under which it's possible
     to pass an explicit patch file to dpkg-source --commit.
   * Add new --query-features command to dpkg-buildflags. Thanks to Kees Cook
     for the patch. Closes: #651481
   * Fix description of Multi-Arch in deb-control(5). Closes: #654453
     Thanks to Jakub Wilk for spotting the mistake.
   * Drop misleading spaces in deb-symbols(5) in the format description.
   * Clean up dpkg-architecture(1) dropping useless information and
     adding a reference to /usr/share/dpkg/architecture.mk.
   * Update dpkg-buildpackage to use the "build-arch" (for -B) and
     "build-indep" (for -A) targets unless "make -qn" says that they do not
     exist. Closes: #229357
 .
   [ Jonathan Nieder ]
   * Bump po4a version in Build-Depends to 0.41, since earlier versions do
     not handle --srcdir correctly. Closes: #644370
 .
   [ Helge Kreutzmann ]
   * Fix a typo in man/dpkg-deb.1.
 .
   [ Updated dpkg translations ]
   * German (Sven Joachim).
   * Italian (Milo Casagrande). Closes: #627832, #657849
   * Swedish (Peter Krefting).
   * French (Christian Perrier)
 .
   [ Updated scripts translations ]
   * German (Helge Kreutzmann).
   * Spanish (Omar Campagne). Closes: #636238
   * Swedish (Peter Krefting).
 .
   [ Updated man page translations ]
   * German (Helge Kreutzmann), including typo fix in dpkg-genchanges
     Closes: #646496, sub optimal translation of package states LP: #368783
     and an fix by Chris Leick
   * Japanese (TAKAHASHI Motonobu).
   * Spanish (Omar Campagne). Closes: #643969
   * Swedish (Peter Krefting).
   * Minor errors corrected in French (thanks to David Prévot)
   * Fix translation of -B and -A options of dpkg-buildpackage.
     Thanks to Vincent Danjean. Closes: #654626
 .
   [ Updated dselect translations ]
   * Dutch (Jeroen Schot). Closes: #651813
Checksums-Sha1: 
 5b350a13d4749a68f55688f53bd934ca33b7bc34 1414 dpkg_1.16.2~wipmultiarch.dsc
 e3c394da92562bc2bf9bb18a6832c575b32cc2a0 5569622 dpkg_1.16.2~wipmultiarch.tar.bz2
 7ce788ea96a3df3cda27c34e5769a48ccfd4cfe1 609206 libdpkg-dev_1.16.2~wipmultiarch_amd64.deb
 840f46fce0fcf7c1214924582a1100dd8d358bc4 2086476 dpkg_1.16.2~wipmultiarch_amd64.deb
 ee2acabe565079c9f1b559443bdc780079040aeb 1000514 dselect_1.16.2~wipmultiarch_amd64.deb
 a6d02b21cd5eac118de310187eae7a6bb63943c5 635810 dpkg-dev_1.16.2~wipmultiarch_all.deb
 728863e43f9185e3182eb78d807b670441e9dd94 851128 libdpkg-perl_1.16.2~wipmultiarch_all.deb
Checksums-Sha256: 
 ce7050ed905c72f823fdb183714f5b5c546e5015ec79dbdf759281c7c60faaae 1414 dpkg_1.16.2~wipmultiarch.dsc
 24b73f91f9e93ddd984172b35a52e6818c2195002ff4d5e72898712d802a3efa 5569622 dpkg_1.16.2~wipmultiarch.tar.bz2
 8a31ad426d8b7e363cce14516d73be1575b724a2683c80322c14f379b60e7efb 609206 libdpkg-dev_1.16.2~wipmultiarch_amd64.deb
 e3f3cef7dd88a5632b4139a042b8943397e512699504ca9abdf3ee97604a9208 2086476 dpkg_1.16.2~wipmultiarch_amd64.deb
 2addf6880dc5d2ee2a817519987fdc9a59751d511de4aa689b19095c0392c4b4 1000514 dselect_1.16.2~wipmultiarch_amd64.deb
 f4a65c7ebd66f7e5eba877d7a9af98ebb33ea9755fd72730d7f9416e6d0b8b7d 635810 dpkg-dev_1.16.2~wipmultiarch_all.deb
 d972b0812219c2afaca254306e8bf5e3feca49c4324924a5c5bb640447cca72d 851128 libdpkg-perl_1.16.2~wipmultiarch_all.deb
Files: 
 7c1aa845fad678163118b63c2053aee3 1414 admin required dpkg_1.16.2~wipmultiarch.dsc
 2c02844dc317beaf6d5f4e22e966813c 5569622 admin required dpkg_1.16.2~wipmultiarch.tar.bz2
 f49a6d3e6ea649b8bb36afd41258bd3c 609206 libdevel optional libdpkg-dev_1.16.2~wipmultiarch_amd64.deb
 6b3fba7d1254c0e0dda083c94e01a749 2086476 admin required dpkg_1.16.2~wipmultiarch_amd64.deb
 fec42261e17f7b60a8cb2339d8b4fa1a 1000514 admin optional dselect_1.16.2~wipmultiarch_amd64.deb
 64b69c596994b4716ed8a0f7ef6c2d0e 635810 utils optional dpkg-dev_1.16.2~wipmultiarch_all.deb
 c8e38c68397fda8dc171bc2a6d7e0c4f 851128 perl optional libdpkg-perl_1.16.2~wipmultiarch_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8vCk4ACgkQuW9ciZ2SjJuPQwCgk4tpFGkzvc7sKsBqQfzw7Dob
NDkAn3uyGGvGcL1KfN49EztspiEGaB47
=Tkrm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Mar 2012 07:37:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:04:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.